libsyncml 0.5.4

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
SmlQueue Struct Reference
SyncML Queue Internals

Represents a Queue which can be used to receive messages. More...

`#include <sml_queue_internals.h>`

Collaboration diagram for SmlQueue:

## Data Fields

GList * | head
GList * | tail
GList * | prio
SmlQueueHandler | handler
void * | userdata
GSource * | source
GMainContext * | context
GSourceFuncs * | functions
GMutex * | mutex

## Detailed Description

Represents a Queue which can be used to receive messages.

Definition at line 36 of file sml_queue_internals.h.

## Field Documentation

GList* SmlQueue::head

The items of the queue

Definition at line 38 of file sml_queue_internals.h.

Referenced by smlQueueSend(), and smlQueueSendPrio().

SmlQueueHandler SmlQueue::handler

The message handler for this queue

Definition at line 43 of file sml_queue_internals.h.

Referenced by smlQueueSetHandler().

void* SmlQueue::userdata

The user_data associated with this queue

Definition at line 45 of file sml_queue_internals.h.

Referenced by smlQueueSetHandler().

GSource* SmlQueue::source

The source associated with this queue

Definition at line 47 of file sml_queue_internals.h.

Referenced by smlQueueAttach().

GMainContext* SmlQueue::context

The context in which this queue is dispatched

Definition at line 49 of file sml_queue_internals.h.

Referenced by smlQueueAttach().

The documentation for this struct was generated from the following file:

- /build/buildd/libsyncml-0.5.4/libsyncml/sml_queue_internals.h